/// <reference types="react" />
import { actions, selectors, ScopedActionCreator } from '../store';
import { DocumentProps } from '.';
export declare const DocumentEditor: import("react-redux").ConnectedComponentClass<({ change, document, plugin, focus, focusNext, focusPrevious, empty, focused, id, pluginProps }: DocumentProps & DocumentEditorStateProps & DocumentEditorDispatchProps) => JSX.Element | null, Pick<DocumentProps & DocumentEditorStateProps & DocumentEditorDispatchProps, "id" | "pluginProps"> & DocumentProps & {
    scope: string;
}>;
export interface DocumentEditorStateProps {
    document: ReturnType<typeof selectors['getDocument']>;
    empty: ReturnType<typeof selectors['isEmpty']>;
    focused: ReturnType<typeof selectors['isFocused']>;
    plugin: ReturnType<typeof selectors['getPlugin']>;
}
export declare type DocumentEditorDispatchProps = {
    focusNext: ScopedActionCreator<typeof actions['focusNext']>;
    focusPrevious: ScopedActionCreator<typeof actions['focusPrevious']>;
    focus: ScopedActionCreator<typeof actions['focus']>;
    change: ScopedActionCreator<typeof actions['change']>;
};
//# sourceMappingURL=editor.d.ts.map