import { ActionFromActionCreator, ScopeState } from './types';
import { ClipboardAction } from './clipboard/actions';
import { DocumentsAction } from './documents/actions';
import { FocusAction } from './focus/actions';
import { HistoryAction } from './history/actions';
import { RootAction } from './root/actions';
export declare const setPartialState: {
    (payload: Partial<ScopeState>): (scope: string) => {
        type: "SetPartialState";
        payload: Partial<ScopeState>;
        scope: string;
    };
    type: "SetPartialState";
};
export declare type SetPartialState = ActionFromActionCreator<typeof setPartialState>;
export declare type Action = ClipboardAction | DocumentsAction | FocusAction | HistoryAction | RootAction | SetPartialState;
//# sourceMappingURL=actions.d.ts.map