import { ActionFromActionCreator } from '../types';
export declare const focus: {
    (payload: string): (scope: string) => {
        type: "Focus";
        payload: string;
        scope: string;
    };
    type: "Focus";
};
export declare type FocusDocumentAction = ActionFromActionCreator<typeof focus>;
export declare const focusNext: {
    (): (scope: string) => {
        type: "FocusNext";
        scope: string;
    };
    type: "FocusNext";
};
export declare type FocusNextDocumentAction = ActionFromActionCreator<typeof focusNext>;
export declare const focusPrevious: {
    (): (scope: string) => {
        type: "FocusPrevious";
        scope: string;
    };
    type: "FocusPrevious";
};
export declare type FocusPreviousDocumentAction = ActionFromActionCreator<typeof focusPrevious>;
export declare type FocusAction = FocusDocumentAction | FocusNextDocumentAction | FocusPreviousDocumentAction;
export declare const publicFocusActions: {
    focus: {
        (payload: string): (scope: string) => {
            type: "Focus";
            payload: string;
            scope: string;
        };
        type: "Focus";
    };
    focusNext: {
        (): (scope: string) => {
            type: "FocusNext";
            scope: string;
        };
        type: "FocusNext";
    };
    focusPrevious: {
        (): (scope: string) => {
            type: "FocusPrevious";
            scope: string;
        };
        type: "FocusPrevious";
    };
};
//# sourceMappingURL=actions.d.ts.map