import { Action } from '../actions';
import { ScopeState } from '../types';
export declare const historyReducer: import("../helpers").SubReducer<import("../types").HistoryState>;
export declare function getHistory(state: ScopeState): import("../types").HistoryState;
export declare function getInitialState(state: ScopeState): {
    documents: Record<string, import("../types").DocumentState>;
} | undefined;
export declare function getPendingChanges(state: ScopeState): number;
export declare function hasPendingChanges(state: ScopeState): boolean;
export declare function getUndoStack(state: ScopeState): Action[][];
export declare function getRedoStack(state: ScopeState): Action[][];
export declare const publicHistorySelectors: {
    getPendingChanges: typeof getPendingChanges;
    hasPendingChanges: typeof hasPendingChanges;
};
//# sourceMappingURL=reducer.d.ts.map