import { Plugin } from '../../plugin';
import { ActionFromActionCreator } from '../types';
export declare const initRoot: {
    (payload: {
        initialState?: {
            plugin?: string | undefined;
            state?: unknown;
        } | undefined;
        plugins: Record<string, Plugin<import("../../plugin-state").StateDescriptor<any, any, unknown>, any>>;
        defaultPlugin: string;
    }): (scope: string) => {
        type: "InitRoot";
        payload: {
            initialState?: {
                plugin?: string | undefined;
                state?: unknown;
            } | undefined;
            plugins: Record<string, Plugin<import("../../plugin-state").StateDescriptor<any, any, unknown>, any>>;
            defaultPlugin: string;
        };
        scope: string;
    };
    type: "InitRoot";
};
export declare type InitRootAction = ActionFromActionCreator<typeof initRoot>;
export declare const pureInitRoot: {
    (): (scope: string) => {
        type: "PureInitRoot";
        scope: string;
    };
    type: "PureInitRoot";
};
export declare type PureInitRootAction = ActionFromActionCreator<typeof pureInitRoot>;
export declare type RootAction = InitRootAction | PureInitRootAction;
export declare const publicRootActions: {
    initRoot: {
        (payload: {
            initialState?: {
                plugin?: string | undefined;
                state?: unknown;
            } | undefined;
            plugins: Record<string, Plugin<import("../../plugin-state").StateDescriptor<any, any, unknown>, any>>;
            defaultPlugin: string;
        }): (scope: string) => {
            type: "InitRoot";
            payload: {
                initialState?: {
                    plugin?: string | undefined;
                    state?: unknown;
                } | undefined;
                plugins: Record<string, Plugin<import("../../plugin-state").StateDescriptor<any, any, unknown>, any>>;
                defaultPlugin: string;
            };
            scope: string;
        };
        type: "InitRoot";
    };
};
//# sourceMappingURL=actions.d.ts.map