import { ActionFromActionCreator, DocumentState } from '../types';
export declare const copy: {
    (payload: string | null): (scope: string) => {
        type: "Copy";
        payload: string | null;
        scope: string;
    };
    type: "Copy";
};
export declare type CopyAction = ActionFromActionCreator<typeof copy>;
export declare const pureCopy: {
    (payload: DocumentState): (scope: string) => {
        type: "PureCopy";
        payload: DocumentState;
        scope: string;
    };
    type: "PureCopy";
};
export declare type PureCopyAction = ActionFromActionCreator<typeof pureCopy>;
export declare type ClipboardAction = CopyAction | PureCopyAction;
export declare const publicClipboardActions: {
    copy: {
        (payload: string | null): (scope: string) => {
            type: "Copy";
            payload: string | null;
            scope: string;
        };
        type: "Copy";
    };
};
//# sourceMappingURL=actions.d.ts.map